<?php
require_once("db.php");
function check_string($string, $length){
	if(empty($string)){
		return 1; //vuota	
	}
	else{
		if(strlen($string) > $length) {
			return 2; //troppo lunga
		}
		$string_pulire = htmlentities($string);
		for($j=0; $j < strlen($string_pulire); $j++){
				if(!eregi('[[:space:]A-Za-z0-9._-]', $string_pulire[$j])){
					return 3; //caratteri non consentiti
				}
		}
	}
	return 0; //ok
}
function check_pwd($pwd, $pwd_check, $location){
	if(empty($pwd)){
		$redirect = "Location:".$location."?action=error&error=nopwd";
		header($redirect);
		exit;
	}
	else if($pwd != $pwd_check){
		$redirect = "Location:".$location."?action=error&error=pwdcheck";
		header($redirect);
		exit;
	}
	else{
		if(strlen($pwd) != 8){
			$redirect = "Location:".$location."?action=error&error=pwdl";
			header($redirect);
			exit;
		}
		$pwd_pulire = htmlentities($pwd);
		for($j=0; $j < strlen($pwd_pulire); $j++){
				if(!eregi('[A-Za-z0-9]', $pwd_pulire[$j])){
					$redirect = "Location:".$location."?action=error&error=pwdch";
					header($redirect);
					break;
					exit;
				}
		}
	}
}
function check_modpwd($pwd_curr, $pwd_new, $pwd_check){
	if(empty($pwd_curr)){
		header("Location: amministra.php?error=curr");
		exit;
	}
	else if($pwd != $pwd_check){
		header("Location: amministra.php?error=new");
		exit;
	}
	else{
		if(strlen($pwd) != 8){
			header("Location: amministra.php?error=new");
			exit;
		}
		$pwd_pulire = htmlentities($pwd);
		for($j=0; $j < strlen($pwd_pulire); $j++){
				if(!eregi('[A-Za-z0-9]', $pwd_pulire[$j])){
					header("Location: amministra.php?error=new");
					break;
					exit;
				}
		}
	}
}
function check_login($username, $pwd){
	$db = connect();
	$res = query($db, "select * from users where username='".$username."' and pwd='".$pwd."'");
	$row=$res->fetchRow(MDB2_FETCHMODE_ASSOC);
	if($res->numRows() == 1){
		$res1 = query($db, "select ban from users where username='".$username."'");
		$db->disconnect();
		$row1=$res1->fetchRow(MDB2_FETCHMODE_ASSOC);
		if(empty($row1["ban"])){
			session_start(); 
			$_SESSION["utente"]=$row["username"];
			$_SESSION["ruolo"]=$row["ruolo"];
			header('Location: profile.php');
			exit;
		}
		else{
			$today = strtotime("now");
			$ban = strtotime($row1["ban"]);
			if($today < $ban){ 
				header("Location: index.php?action=ban&ban=".$row1["ban"]);
				exit;
			}
			else{
				$db = connect();
				query($db, "update users set ban=NULL where username='".$username."'");
				$db->disconnect();
				session_start(); 
				$_SESSION["utente"]=$row["username"];
				$_SESSION["ruolo"]=$row["ruolo"];
				header('Location: profile.php');
				exit;
			}
		}
	}
	else{
		$db->disconnect();
		header('Location: index.php?action=login_error');
	}
}
function check_friend($username, $friend){
	$db = connect();
	$res = query($db, "select * from friends where username='".$username."' and friend ='".$friend."'");
	$db->disconnect();
	if($res->numRows() == 0)return false;
	return true;
}
function check_friend_notify($username, $friend){
	$db = connect();
	$res = query($db, "select * from notifiche where tipo='amico' and username='".$friend."' and notificante='".$username."'");
	$res1 = query($db, "select * from notifiche where tipo='amico' and username='".$username."' and notificante='".$friend."'");
	$db->disconnect();
	if($res->numRows() == 0 && $res1->numRows() == 0)return false;
	return true;
}
function check_username_in_use($username){
	$db = connect();
	$res = query($db, "select * from users where username='".$_POST["username"]."'");
	$db->disconnect();
	$row=$res->fetchRow(MDB2_FETCHMODE_ASSOC);
	if(empty($row["username"])){
		return true;
	}
	else{
		header('Location: index.php?action=error&error=inuse');
		exit;
	}
}
function check_email($email, $email_check, $location){
	if(empty($email)){
		$redirect = "Location:".$location."?action=error&error=nomail";
		header($redirect);
		exit;
	}
	else if($email != $email_check){
		$redirect = "Location:".$location."?action=error&error=mail";
		header($redirect);
		exit;
	}
	else if(!eregi('[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]', $email)){
		$redirect = "Location:".$location."?action=error&error=nomail";
		header($redirect);
		exit;
	}
	else if(check_already_existing_email($email)){
		$redirect = "Location:".$location."?action=error&error=mail";
		header($redirect);
		exit;
	}
}
function check_modemail($email, $email_check){
	if(empty($email)){
		header("Location: amministra.php?error=nomail");
		exit;
	}
	else if($email != $email_check){
		header("Location: amministra.php?error=mail");
		exit;
	}
	else if(!eregi('[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]', $email)){
		header("Location: amministra.php?error=mail");
		exit;
	}
	else if(check_already_existing_email_modprofilo($email)){
		header("Location: amministra.php?error=mail");
		exit;
	}
}
function check_already_existing_email($email){
	$db=connect();
	$res=query($db, "select * from users where email='".$email."'");
	$db->disconnect();
	if($res->numRows()!=0)return true;
	return false;
}
function check_already_existing_email_modprofilo($email){
	$db=connect();
	$res=query($db, "select * from users where email='".$email."' and username <> '".$_SESSION["utente"]."'");
	$db->disconnect();
	if($res->numRows()!=0)return true;
	return false;
}
function check_session(){
	session_start();
	if (!isset($_SESSION["utente"])){
    		header("Location: index.php");
  		exit;
  	}
}
?>
