<?php
require_once("check.php");
check_session();
require_once("utilities.php");
$titolo = "ScummBar - ".$_SESSION["utente"]." - Grafo Amici";
require("header_dentro.php");
$db = connect();
$cercato;
$amici = build_graph($_SESSION["utente"],$cercato);
$db->disconnect();
if(empty($amici)){
	echo "<h2>Ciao ".$_SESSION["utente"].", per utilizzare questa funzionalita' devi prima aggiungere degli amici</h2>";
	echo "<h2>Puoi cercarne alcuni utilizzando la nostra <a href='ricerca_avanzata.php'>ricerca avanzata</a></h2>";
}
else{
	$lista_raw= rtrim($amici, ",");

	$lista_per_coppie=explode(",", $lista_raw);
	$pre_lista="\t{ node [width=.3, height=.4, shape=ellipse, style=filled, color=skyblue];\n";
	$lista_amici="";
	$lista_legami="\t{ edge [len=1];\n";
	$grapher="graph G {\n";
	foreach ($lista_per_coppie as $coppia_amici) {
		$amici=explode("-", $coppia_amici);
		foreach($amici as $amico) {
			if(!empty($amico) && strpos($lista_amici, $amico)==false) {
				$lista_amici.="\t\t".$amico." [label=\"".$amico."\"]\n";
			}
		}
		$lista_legami.="\t\t".$amici[0]." -- ".$amici[1]."\n";
	}
	$lista_amici.="\t}\n";
	$lista_legami.="\t}\n";
	$grapher.=$pre_lista.$lista_amici.$lista_legami;
	$grapher.="};";
	$id=fopen("graph.dot", "w");
	fwrite($id, $grapher);
	fclose($id);
	exec('test -f graph.svg && rm graph.svg');
	exec('./draw_dotfile graph.dot graph.svg');
	echo "<p><object width='600' height='480' data='graph.svg' type='image/svg+xml'></object></p>";
}
require("footer.php");
?>
