<?php
session_start();
	if (isset($_SESSION["utente"])){
    		header("Location: profile.php");
  		exit;
  	}
require_once("utilities.php");
global $titolo;
		/*se ci sono arrivato diretto*/
		if(empty($_GET["action"])){
			$titolo="ScummBar - Ahoy!";
			require("header_fuori.php");
			echo "<h2>Benvenuto, effettua il login:</h2>";
			include("./include/login.tmp");
			require("footer.php");
		}
		else{
			/*se invece ho navigato per il sito*/
			switch($_GET["action"]){
				/*sono bannato*/
				case "ban":{
					$titolo = "ScummBar - Impossibile accedere";
					require("header_fuori.php");
					echo "<h2>Mi spiace, ma sei stato bannato fino al ";
					string_to_date($_GET["ban"]);
					echo " e non potrai accedere al sito sino a tale data</h2>";
					require("footer.php");
					break;
				}
				/*ho provato a loggarmi ma non sono registrato*/
				case "login_error":{
					$titolo = "ScummBar - Registrati";
					require("header_fuori.php");
					echo "<h2>Username e/o password errati:</h2>";
					include("./include/login.tmp");
					require("footer.php");
					break;
				}
				/*mi voglio registrare*/
				case "register":{
					$titolo = "ScummBar - Registrati";
					require("header_fuori.php");
					echo "<h2>Inserisci i dati necessari alla registrazione:</h2>";
					include("./include/register.tmp");
					require("footer.php");
					break;
				}
				/*mi sono appena registrato*/
				case "registered":{
					$titolo="ScummBar - Registrazione completata";
					require("header_fuori.php");
					echo"<h2>Grazie per esserti registrato, effettua il login:</h2>";
					include("./include/login.tmp");
					require("footer.php");
					break;
				}
				/*ha fatto logout*/
				case "logout":{
					$titolo="ScummBar - Logout";
					require("header_fuori.php");
					echo "<h2>Grazie per averci visitato, torna presto!</h2>";
					include("./include/login.tmp");
					require("footer.php");
					break;
				}
				/*ha fatto casino l'utente*/
				case "error":{
					switch($_GET["error"]){
						/*non ha messo username*/
						case "nouser":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Devi inserire uno username:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*non ha messo password*/
						case "nopwd":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Devi inserire una password:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*username non consentito (lungo o caratteri)*/
						case "userl":
						case "userch":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Formato username errato</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*password non lunga giusta*/
						case "pwdl":
						case "pwdch":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Formato password errato</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*ha ciccato il controllo password*/
						case "pwdcheck":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Per favore, ricontrolla la password:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*nome utente già in uso*/
						case "inuse":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Lo username scelto e' gia' in uso:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*non ha messo mail*/
						case "nomail":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Inserisci una mail corretta:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*ha ciccato il controllo mail*/
						case "mail":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Per favore ricontrolla la mail:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*ha messo mezza data*/
						case "data":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Per favore inserisci una data corretta o lascia in bianco:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*non ha inserito nome*/
						case "noname":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Devi inserire un nome:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*nome troppo lungo*/
						case "nomel":
						case "nomech":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Formato nome errato</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*non ha inserito cognome*/
						case "nocog":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Devi inserire un cognome:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*cognome troppo lungo*/
						case "cogl":
						case "cogch":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Formato cognome errato</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*non ha inserito luogo di nascita*/
						case "noluogo":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Devi inserire il luogo di nascita:</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*luogo di nascita troppo lungo*/
						case "luogol":
						case "luogoch":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Formato luogo di nascita errato</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*titolo di studio troppo lungo*/
						case "studiol":
						case "studioch":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Formato titolo di studio errato</h2>";
							include("./include/register.tmp");
							require("footer.php");
							break;
						}
						/*non ha inserito username per login*/
						case "nouserlogin":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Devi inserire uno username:</h2>";
							include("./include/login.tmp");
							require("footer.php");
							break;
						}
						/*username in formato errato per login*/
						case "userllogin":
						case "userchlogin":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Ricontrolla lo username:</h2>";
							include("./include/login.tmp");
							require("footer.php");
							break;
						}
						/*non ha inserito pwd per login*/
						case "nopwdlogin":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Devi inserire una password:</h2>";
							include("./include/login.tmp");
							require("footer.php");
							break;
						}
						/*pwd in formato errato per login*/
						case "pwdllogin":
						case "pwdchlogin":{
							$titolo="ScummBar - Errore";
							require("header_fuori.php");
							echo "<h2>Ricontrolla la password:</h2>";
							include("./include/login.tmp");
							require("footer.php");
							break;
						}
						/*cerca di fare il furbo col get*/
						default:{
							echo "Non giocare coi miei URL!";
						}
					}
				break;
				}
				/*cerca di fare il furbo col get*/
				default:{
					echo "Non giocare coi miei URL!";
				}
			}
		}
?>
